﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Random random = new Random(0);

            int pointCount = 100000;

            double[] yValueArray = new double[pointCount];
            double[] xValueArray = new double[pointCount];

            for(int i = 1; i < yValueArray.Length; i++)
            {
                yValueArray[i] = yValueArray[i - 1] + random.NextDouble() - 0.5;
                xValueArray[i] = xValueArray[i - 1] + random.NextDouble();
            }

            SignalPlotXYConst<double, double> signalPlotXYConst = plot.AddSignalXYConst(xValueArray, yValueArray);

            signalPlotXYConst.StepDisplay = true;

            plot.SetAxisLimits(18700, 18730, -49.25, -46.75);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}